curl --request POST \
--url https://api.iotools.cloud/v1/tool/markdown-link-image-extractor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"markdownInput": "# Sample Document\n\nVisit [Google](https://www.google.com \"Google Homepage\") for search.\nSee the [docs](/docs/getting-started) and the [API reference][api].\n\nHere is an inline image:\n\n\nAnd a remote one: \n\nReference-style: [GitHub repo][gh], and a bare anchor link [back to top](#top).\nReference image: ![hero][hero-img]\n\nContact us at [support](mailto:hello@example.com) or call [+1 555](tel:+15550100).\n\n[api]: https://api.example.com \"API docs\"\n[gh]: https://github.com/example/repo\n[hero-img]: /images/hero.jpg \"Hero banner\"",
"extractType": "all",
"filterLocation": "all",
"resolveReferences": "true",
"deduplicate": ""
}
'{
"tool": "markdown-link-image-extractor",
"tool_version": "1.0.1",
"outputs": {
"extractorStatsHtml": "<span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">Shown: <span style=\"color:#1f2937\">10</span></span><span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">Links: <span style=\"color:#1f2937\">7</span></span><span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">Images: <span style=\"color:#1f2937\">3</span></span><span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">External: <span style=\"color:#1f2937\">6</span></span><span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">Internal: <span style=\"color:#1f2937\">4</span></span>",
"extractorTable": [
{
"type": "link",
"style": "inline",
"text-alt": "Google",
"url": "https://www.google.com",
"title": "Google Homepage",
"location": "external",
"line": "3"
},
{
"type": "link",
"style": "inline",
"text-alt": "docs",
"url": "/docs/getting-started",
"title": "",
"location": "relative",
"line": "4"
},
{
"type": "link",
"style": "reference",
"text-alt": "API reference",
"url": "https://api.example.com",
"title": "API docs",
"location": "external",
"line": "4"
},
{
"type": "image",
"style": "inline",
"text-alt": "Architecture diagram",
"url": "/images/architecture.png",
"title": "System overview",
"location": "relative",
"line": "7"
},
{
"type": "image",
"style": "inline",
"text-alt": "logo",
"url": "https://example.com/logo.svg",
"title": "",
"location": "external",
"line": "9"
},
{
"type": "link",
"style": "inline",
"text-alt": "back to top",
"url": "#top",
"title": "",
"location": "anchor",
"line": "11"
},
{
"type": "link",
"style": "reference",
"text-alt": "GitHub repo",
"url": "https://github.com/example/repo",
"title": "",
"location": "external",
"line": "11"
},
{
"type": "image",
"style": "reference",
"text-alt": "hero",
"url": "/images/hero.jpg",
"title": "Hero banner",
"location": "relative",
"line": "12"
},
{
"type": "link",
"style": "inline",
"text-alt": "support",
"url": "mailto:hello@example.com",
"title": "",
"location": "external",
"line": "14"
},
{
"type": "link",
"style": "inline",
"text-alt": "+1 555",
"url": "tel:+15550100",
"title": "",
"location": "external",
"line": "14"
}
],
"extractorJson": "[\n {\n \"index\": 1,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"Google\",\n \"url\": \"https://www.google.com\",\n \"title\": \"Google Homepage\",\n \"refId\": \"\",\n \"location\": \"external\",\n \"line\": 3\n },\n {\n \"index\": 2,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"docs\",\n \"url\": \"/docs/getting-started\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"relative\",\n \"line\": 4\n },\n {\n \"index\": 3,\n \"type\": \"link\",\n \"style\": \"reference\",\n \"text\": \"API reference\",\n \"url\": \"https://api.example.com\",\n \"title\": \"API docs\",\n \"refId\": \"api\",\n \"location\": \"external\",\n \"line\": 4\n },\n {\n \"index\": 4,\n \"type\": \"image\",\n \"style\": \"inline\",\n \"text\": \"Architecture diagram\",\n \"url\": \"/images/architecture.png\",\n \"title\": \"System overview\",\n \"refId\": \"\",\n \"location\": \"relative\",\n \"line\": 7\n },\n {\n \"index\": 5,\n \"type\": \"image\",\n \"style\": \"inline\",\n \"text\": \"logo\",\n \"url\": \"https://example.com/logo.svg\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"external\",\n \"line\": 9\n },\n {\n \"index\": 6,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"back to top\",\n \"url\": \"#top\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"anchor\",\n \"line\": 11\n },\n {\n \"index\": 7,\n \"type\": \"link\",\n \"style\": \"reference\",\n \"text\": \"GitHub repo\",\n \"url\": \"https://github.com/example/repo\",\n \"title\": \"\",\n \"refId\": \"gh\",\n \"location\": \"external\",\n \"line\": 11\n },\n {\n \"index\": 8,\n \"type\": \"image\",\n \"style\": \"reference\",\n \"text\": \"hero\",\n \"url\": \"/images/hero.jpg\",\n \"title\": \"Hero banner\",\n \"refId\": \"hero-img\",\n \"location\": \"relative\",\n \"line\": 12\n },\n {\n \"index\": 9,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"support\",\n \"url\": \"mailto:hello@example.com\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"external\",\n \"line\": 14\n },\n {\n \"index\": 10,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"+1 555\",\n \"url\": \"tel:+15550100\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"external\",\n \"line\": 14\n }\n]"
},
"credits_used": 3,
"credits_remaining": null
}Markdown Link & Image Extractor
Extract every link and image from Markdown — inline, reference-style and autolinks — as a filterable table (also CSV) or JSON. Classifies each URL as external or internal, resolves reference definitions, and optionally deduplicates by URL.
curl --request POST \
--url https://api.iotools.cloud/v1/tool/markdown-link-image-extractor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"markdownInput": "# Sample Document\n\nVisit [Google](https://www.google.com \"Google Homepage\") for search.\nSee the [docs](/docs/getting-started) and the [API reference][api].\n\nHere is an inline image:\n\n\nAnd a remote one: \n\nReference-style: [GitHub repo][gh], and a bare anchor link [back to top](#top).\nReference image: ![hero][hero-img]\n\nContact us at [support](mailto:hello@example.com) or call [+1 555](tel:+15550100).\n\n[api]: https://api.example.com \"API docs\"\n[gh]: https://github.com/example/repo\n[hero-img]: /images/hero.jpg \"Hero banner\"",
"extractType": "all",
"filterLocation": "all",
"resolveReferences": "true",
"deduplicate": ""
}
'{
"tool": "markdown-link-image-extractor",
"tool_version": "1.0.1",
"outputs": {
"extractorStatsHtml": "<span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">Shown: <span style=\"color:#1f2937\">10</span></span><span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">Links: <span style=\"color:#1f2937\">7</span></span><span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">Images: <span style=\"color:#1f2937\">3</span></span><span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">External: <span style=\"color:#1f2937\">6</span></span><span style=\"display:inline-block;padding:4px 10px;margin:0 6px 4px 0;background:#f1f3f9;color:#464aff;border-radius:12px;font-size:12px;font-weight:600\">Internal: <span style=\"color:#1f2937\">4</span></span>",
"extractorTable": [
{
"type": "link",
"style": "inline",
"text-alt": "Google",
"url": "https://www.google.com",
"title": "Google Homepage",
"location": "external",
"line": "3"
},
{
"type": "link",
"style": "inline",
"text-alt": "docs",
"url": "/docs/getting-started",
"title": "",
"location": "relative",
"line": "4"
},
{
"type": "link",
"style": "reference",
"text-alt": "API reference",
"url": "https://api.example.com",
"title": "API docs",
"location": "external",
"line": "4"
},
{
"type": "image",
"style": "inline",
"text-alt": "Architecture diagram",
"url": "/images/architecture.png",
"title": "System overview",
"location": "relative",
"line": "7"
},
{
"type": "image",
"style": "inline",
"text-alt": "logo",
"url": "https://example.com/logo.svg",
"title": "",
"location": "external",
"line": "9"
},
{
"type": "link",
"style": "inline",
"text-alt": "back to top",
"url": "#top",
"title": "",
"location": "anchor",
"line": "11"
},
{
"type": "link",
"style": "reference",
"text-alt": "GitHub repo",
"url": "https://github.com/example/repo",
"title": "",
"location": "external",
"line": "11"
},
{
"type": "image",
"style": "reference",
"text-alt": "hero",
"url": "/images/hero.jpg",
"title": "Hero banner",
"location": "relative",
"line": "12"
},
{
"type": "link",
"style": "inline",
"text-alt": "support",
"url": "mailto:hello@example.com",
"title": "",
"location": "external",
"line": "14"
},
{
"type": "link",
"style": "inline",
"text-alt": "+1 555",
"url": "tel:+15550100",
"title": "",
"location": "external",
"line": "14"
}
],
"extractorJson": "[\n {\n \"index\": 1,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"Google\",\n \"url\": \"https://www.google.com\",\n \"title\": \"Google Homepage\",\n \"refId\": \"\",\n \"location\": \"external\",\n \"line\": 3\n },\n {\n \"index\": 2,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"docs\",\n \"url\": \"/docs/getting-started\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"relative\",\n \"line\": 4\n },\n {\n \"index\": 3,\n \"type\": \"link\",\n \"style\": \"reference\",\n \"text\": \"API reference\",\n \"url\": \"https://api.example.com\",\n \"title\": \"API docs\",\n \"refId\": \"api\",\n \"location\": \"external\",\n \"line\": 4\n },\n {\n \"index\": 4,\n \"type\": \"image\",\n \"style\": \"inline\",\n \"text\": \"Architecture diagram\",\n \"url\": \"/images/architecture.png\",\n \"title\": \"System overview\",\n \"refId\": \"\",\n \"location\": \"relative\",\n \"line\": 7\n },\n {\n \"index\": 5,\n \"type\": \"image\",\n \"style\": \"inline\",\n \"text\": \"logo\",\n \"url\": \"https://example.com/logo.svg\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"external\",\n \"line\": 9\n },\n {\n \"index\": 6,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"back to top\",\n \"url\": \"#top\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"anchor\",\n \"line\": 11\n },\n {\n \"index\": 7,\n \"type\": \"link\",\n \"style\": \"reference\",\n \"text\": \"GitHub repo\",\n \"url\": \"https://github.com/example/repo\",\n \"title\": \"\",\n \"refId\": \"gh\",\n \"location\": \"external\",\n \"line\": 11\n },\n {\n \"index\": 8,\n \"type\": \"image\",\n \"style\": \"reference\",\n \"text\": \"hero\",\n \"url\": \"/images/hero.jpg\",\n \"title\": \"Hero banner\",\n \"refId\": \"hero-img\",\n \"location\": \"relative\",\n \"line\": 12\n },\n {\n \"index\": 9,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"support\",\n \"url\": \"mailto:hello@example.com\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"external\",\n \"line\": 14\n },\n {\n \"index\": 10,\n \"type\": \"link\",\n \"style\": \"inline\",\n \"text\": \"+1 555\",\n \"url\": \"tel:+15550100\",\n \"title\": \"\",\n \"refId\": \"\",\n \"location\": \"external\",\n \"line\": 14\n }\n]"
},
"credits_used": 3,
"credits_remaining": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Markdown Input
Extract
all, links, images Filter by location
all, external, internal Resolve reference-style links to their definitions
Deduplicate by URL
Response
Tool output
Show child attributes
Show child attributes
The tool's slug, echoing the {slug} in the request path.
Output-contract version for this tool.
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Correlation id, also sent as x-request-id.
Was this page helpful?